## kernel-patch-2.4.17-apus 2.4.17-5

=== debian/changelog ===
kernel-patch-2.4.17-apus (2.4.17-5) stable-security; urgency=low

  * Build-depens on kernel-source-2.4.17 2.4.17-1woody2, to pick up :
    - Applied patch by Petr Vandrovec <vandrove@vc.cvut.cz> to fix a
      possible roothole in ncpfs discovered by Arjan van de Ven
      <arjanv@devserv.devel.redhat.com> [fs/ncpfs/dir.c, CAN-2004-0010]
    - Applied patch by Sebastian Krahmer <krahmer@suse.de> and Ernie
      Petrides <petrides@redhat.com> to fix a local root exploit in iso9660
      [fs/isofs/rock.c, CAN-2004-0109]
    - Applied patch by Alan Cox and Thomas Biege to fix local root exploit
      in the R128 DRI code [drivers/char/drm/r128_state.c, CAN-2004-0003]
    - Applied additional patch by Ernie Petrides <petrides@redhat.com> to
      fix another intance of the same
    - Applied patch by Theodore Ts'o <tytso@mit.edu> to fix an information
      leak in ext3 journal creation [fs/jbd/journal.c, CAN-2004-0177]
    - Applied patch by Andreas Kies <andikies@t-online.de> to fix local
      denial of service in the Sound Blaster driver
      [drivers/sound/sb_audio.c, CAN-2004-0178]

 -- Sven Luther <luther@debian.org>  Fri,  9 Apr 2004 11:41:37 +0000

kernel-patch-2.4.17-apus (2.4.17-4) stable-security; urgency=high

  * Build-depens on kernel-source-2.4.17 2.4.17-1woody2, to pick up :
    - Non-maintainer upload by the Security Team
    - Added TASK_SIZE check to do_brk() [mm/mmap.c, CAN-2003-0961]
    - Applied patch by Andrea Arcangeli to fix local privilege escalation
      discovered by Paul Starzetz [mm/mremap.c, CAN-2003-0985]
    - Applied patch extracted from Solar Designer's Owl patched kernel to
      fix local privilege escalation discovered by Paul Starzetz
      [mm/mremap.c, CAN-2004-0077]
    - Fixed C syntax error which prevented compilation for apus
      [drives/net/a2065.c]

 -- Sven Luther <luther@debian.org>  Sun, 17 Feb 2004 17:21:02 +0000

kernel-patch-2.4.17-apus (2.4.17-3) unstable; urgency=medium

  * Linux/APUS CVS as of 2002-02-17
  * Upstream has cleaned up some configuration options
  * Change CONFIG_PACKET to y for dhcp-client to work. This is needed for DHCP
    to work with the boot-floppies, hence the medium urgency

 -- Michel Daenzer <daenzer@debian.org>  Sun, 17 Feb 2002 16:38:14 +0100

kernel-patch-2.4.17-apus (2.4.17-2) unstable; urgency=low

  * Linux/APUS CVS as of 2002-01-19
  * Upstream fixes for boot problems

 -- Michel Daenzer <daenzer@debian.org>  Sat, 19 Jan 2002 18:15:40 +0100

kernel-patch-2.4.17-apus (2.4.17-1) unstable; urgency=low

  * Linux/APUS CVS as of 2002-01-10 (after 2.4.17 import from bk)
  * Upstream changes include new support for RBM IOBlix Zorro2 serial cards

 -- Michel Daenzer <daenzer@debian.org>  Fri, 11 Jan 2002 00:10:59 +0100

kernel-patch-2.4.16-apus (2.4.16-2) unstable; urgency=low

  * Rename patch directory from apus to powerpc, so (un)applying works out of
    the box (Closes a bug which doesn't exist but should have ;)
  * While we're at it, clean up debian/rules a bit wrt powerpc/apus

 -- Michel Daenzer <daenzer@debian.org>  Wed, 19 Dec 2001 18:04:00 +0100

kernel-patch-2.4.16-apus (2.4.16-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-12-01 (after 2.4.16 import from bk)

 -- Michel Daenzer <daenzer@debian.org>  Sat,  1 Dec 2001 18:17:11 +0100

kernel-patch-2.4.14-apus (2.4.14-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-11-13 (after 2.4.14 import from bk)
  * Upstream changes highlights include IRQ, memory and general cleanups for
    better integration into the bitkeeper and eventually Linus (yay!) tree

 -- Michel Daenzer <daenzer@debian.org>  Tue, 13 Nov 2001 01:53:00 +0100

kernel-patch-2.4.13-apus (2.4.13-1) unstable; urgency=low

  * The Halloween-but-no-kandy-so-far upload
  * Linux/APUS CVS as of 2001-11-01 (after 2.4.13 import from bk)
  * Resurrect kernel-headers package (ideas for a better long description for
    these are appreciated :)

 -- Michel Daenzer <daenzer@debian.org>  Sat, 27 Oct 2001 17:57:27 +0200

kernel-patch-2.4.12-apus (2.4.12-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-10-20 (after 2.4.12 import from bk)
  * New virtual package kernel-image-apus which depends on the latest real
    Linux/APUS kernel-image
  * debian/rules: cleanup

 -- Michel Daenzer <daenzer@debian.org>  Sat, 20 Oct 2001 14:22:15 +0200

kernel-patch-2.4.9-apus (2.4.9-2) unstable; urgency=low

  * Linux/APUS 2.4.9 final (CVS tag apus-2_4_9)
  * add X-Surf support

 -- Michel Daenzer <daenzer@debian.org>  Sat, 20 Oct 2001 01:44:11 +0200

kernel-patch-2.4.9-apus (2.4.9-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-08-22
  * There have been reorganizations in the bitkeeper tree so there might be
    problems. Please do report bugs.

 -- Michel Daenzer <daenzer@debian.org>  Wed, 22 Aug 2001 02:09:48 +0200

kernel-patch-2.4.8-apus (2.4.8-2) unstable; urgency=low

  * Linux/APUS CVS as of 2001-08-20
  * Fixes an AFFS bug which caused apps to hang uninterruptibly

 -- Michel Daenzer <daenzer@debian.org>  Mon, 20 Aug 2001 22:46:41 +0200

kernel-patch-2.4.8-apus (2.4.8-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-08-17
  * minor update to the patch package description about the BK tree

 -- Michel Daenzer <daenzer@debian.org>  Fri, 17 Aug 2001 22:51:00 +0200

kernel-patch-2.4.7-apus (2.4.7-1) unstable; urgency=low

  * Linux/APUS CVS as of 2001-08-03
  * minor enhancements to the package descriptions
  * kernel-package uses the correct image on its own, and the annoying lilo
    questions are gone. Thanks to Manoj Srivastava and Colin Walters!

 -- Michel Daenzer <daenzer@debian.org>  Sat,  4 Aug 2001 00:12:56 +0200

kernel-patch-2.4.6-apus (2.4.6-1) unstable; urgency=low

  * New upstream version (Linux/APUS CVS as of 2001-07-10), should fix a lot
    of VM problems including the nasty crashes on A4000
  * Only use a single patch against kernel-source anymore
  * I didn't look close enough before asking Manoj to change kernel-package

