## kernel-patch-2.4.17-apus 2.4.17-6

=== debian/changelog ===
kernel-patch-2.4.17-apus (2.4.17-6) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Build against kernel-source-2.4.17 2.4.17-1woody4
  * Add missing build dependencies on debhelper and modutils

 -- dann frazier <dannf@hp.com>  Sat, 17 Dec 2005 01:52:15 -0700
