=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Michel Daenzer <daenzer@debian.org>
-Build-Depends: kernel-source-2.4.17 (>= 2.4.17-1woody3), kernel-package (>= 7.48)
+Build-Depends: kernel-source-2.4.17 (>= 2.4.17-1woody4), kernel-package (>= 7.48), debhelper, modutils
 Standards-Version: 3.5.4
 
 Package: kernel-patch-2.4.17-apus
